=== debian/changelog ===
xen-sm (0.1+1316170300-1) unstable; urgency=low

  * New autobuild version

 -- Jon Ludlam <jenkins@debian32.uk.xensource.com>  Tue, 18 Oct 2011 16:35:08 +0100

xen-sm (0.1-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Jon Ludlam <jonathan.ludlam@eu.citrix.com>  Mon, 11 Jul 2011 20:47:12 +0100
