=== debian/control ===
Source: xen-sm
Section: unknown
Priority: extra
Maintainer: Jon Ludlam <jonathan.ludlam@eu.citrix.com>
Build-Depends: debhelper (>= 8.0.0), swig, python2.6-dev, libxen-dev
Standards-Version: 3.9.2
Homepage: <insert the upstream URL, if relevant>
#Vcs-Git: git://git.debian.org/collab-maint/xen-sm.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/xen-sm.git;a=summary

Package: xen-sm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, uuid-runtime, lvm2, vhd-utils, blktap
Description: Storage backends for XenAPI
 <insert long description, indented with spaces>

Package: xen-sm-doc
Architecture: all
Description: documentation for xen-sm
 <insert long description, indented with spaces>
